package com.artisanalapps;

import com.artisanalapps.MyRecordCollectionActivity;
import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.inputmethod.InputMethodManager;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.Toast;

public class AddRecord extends Activity implements OnClickListener {
	
	private RecordCollectionDataHelper recordAdder;
	private EditText artist, title, label, catalog, year;
	private Spinner condition;
	private Button doneButton;
	private int conditionInt = -1;
	
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.add_record);
		
		recordAdder = new RecordCollectionDataHelper(getApplicationContext());
		artist = (EditText) findViewById(R.id.artist_input);
		title = (EditText) findViewById(R.id.title_input);
		label = (EditText) findViewById(R.id.label_input);
		catalog = (EditText) findViewById(R.id.catalog_input);
		year = (EditText) findViewById(R.id.year_input);
		condition = (Spinner) findViewById(R.id.condition_input);	
		
		ArrayAdapter<CharSequence> spinnerAdapter = ArrayAdapter.createFromResource(
				this, R.array.condition_array, android.R.layout.simple_spinner_item);
		spinnerAdapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
		condition.setAdapter(spinnerAdapter);
		
		condition.setOnItemSelectedListener(new MyOnItemSelectedListener());
		
		doneButton = (Button) findViewById(R.id.done);
		doneButton.setOnClickListener(this);
	}

	public void onClick(View v) {
		addRecord();
		InputMethodManager imm = (InputMethodManager)getSystemService(Context.INPUT_METHOD_SERVICE);
		imm.hideSoftInputFromWindow(year.getWindowToken(), 0);
	}
	
	private void addRecord(){
		int tempId = -1;
		Record record = null;
		
		try {
			record = new Record(tempId, artist.getText().toString(), title.getText().toString(), 
					label.getText().toString(), catalog.getText().toString(), 
					year.getText().toString(), conditionInt);
			recordAdder.insert(record);
		}
		//  PLEASE DO SOMETHING BETTER THAN THIS!
		catch (Exception e){
			System.out.println("oops... " + e.getMessage());
			
		}
	}
	
	public class MyOnItemSelectedListener implements OnItemSelectedListener {

	    public void onItemSelected(AdapterView<?> parent,
	        View view, int pos, long id) {
	    		conditionInt = pos;
	    }

	    public void onNothingSelected(AdapterView parent) {
	      // Do nothing.
	    }
	}

}
